%global pypi_name XStatic
%global _description %{expand:
The goal of XStatic family of packages is to provide static file packages
with minimal overhead - without selling you some dependencies you don't want.
XStatic has some minimal support code for working with the XStatic-* packages.
Docs: https://xstatic.readthedocs.io/
Repository: https://github.com/xstatic-py/xstatic (base package)
Find more stuff already packaged as xstatic package there:
https://github.com/xstatic-py/
https://pypi.org/search/?q=xstatic
Licenses:
* MIT license (for XStatic code)
* same license as packaged file (for static file packages)}

Summary:        XStatic base package with minimal support code
Name:           python-%{pypi_name}
Version:        1.0.2
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/xstatic-py/xstatic
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 kianli <kianli@tencent.com> - 1.0.2-1
- initial build
